#!/usr/bin/env node

var http = require("http");
var fs = require("fs");
var CPrime = require("./js/cprime");

var maxnum = "9223372036854775806";

var cprime = new CPrime(maxnum);

var port = parseInt(process.argv[2]);
if (isNaN(port)) {
	console.log("Usage: "+process.argv[1]+" <port>");
	process.exit(1);
}

var html = fs.readFileSync("index.html");
http.createServer((req, res) => {
	if (req.url.indexOf("/factor/") === 0) {
		var num = req.url.substr("/factor/".length);
		cprime.factor(num, str => res.end(str));
	} else {
		res.end(html);
	}
}).listen(port);
